# Generated from integration_pal-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name integration_pal

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Mountable engine for SIS integrations
License: MIT
URL: http://instructure.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pg)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(factory_girl_rails)
# BuildRequires: rubygem(rails-controller-testing)
BuildArch: noarch

%description
Mounts in a rails project to allow code sharing for tasks like starting and
monitoring workers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.3-1
- Initial package
